





<script>

import { Html5QrcodeScanner } from "html5-qrcode";

import Generate_Card from '@/components/generate_vibe/scenery.vue'
import dashboard from '@/components/dashboard/scenery.vue'
import instruments from '@/components/instruments/scenery.vue'
import navigator from '@/components/navigator/scenery.vue'

import scrolly from '@/components/scrolly/futon.vue'

import { lap } from '@/fleet/lap'

export default {
	inject: [ 'vibes_store' ],
	
	components: {
		scrolly,
		
		dashboard,
		instruments,
		Generate_Card,
		
		navigator
	},
	
	data () {
		return {
			ode: "",
			story: "",
			performance: "",
			
			feeling: "",
			
			on: false
		}		
	},
	
	methods: {
		feel () {
			this.vibes_store.moves.feel ()
		}
	},
	
	mounted () {
		const component = this;
		
		function onScanSuccess (decodedText, decodedResult) {
			// handle the scanned code as you like, for example:
			console.log (`Code matched = ${decodedText}`, decodedResult);
			
			// const note = furnish_string (proceeds, [ 'note' ], 'A pass occurred without details.')
			component.$vaToast.init ({ 
				message: `Code matched = ${decodedText}`, 
				color: 'success' 
			})
		}

		function onScanFailure (error) {
			// handle scan failure, usually better to ignore and keep scanning.
			// for example:
			console.warn (`Code scan error = ${error}`);
			
			/*
			component.$vaToast.init ({ 
				message: `Code scan error = ${error}`, 
				color: 'danger' 
			})
			*/
		}
		
		/*
		var Html5QrcodeSupportedFormats = {
			QR_CODE = 0,
			AZTEC,
			CODABAR,
			CODE_39,
			CODE_93,
			CODE_128,
			DATA_MATRIX,
			MAXICODE,
			ITF,
			EAN_13,
			EAN_8,
			PDF_417,
			RSS_14,
			RSS_EXPANDED,
			UPC_A,
			UPC_E,
			UPC_EAN_EXTENSION,
		}
		*/

		let html5QrcodeScanner = new Html5QrcodeScanner (
			"reader",
			{ 
				fps: 10, 
				qrbox: {
					width: 250, 
					height: 250
				},
				formatsToSupport: [
					"AZTEC",
					"QR_CODE"
				]
			}
		);
		  
		  
		html5QrcodeScanner.render (
			onScanSuccess, 
			onScanFailure
		);
		
	}
}

</script>

<template>
	<div
		:style="{
			position: 'relative',
			
			
			borderRadius: '8px',
			

			height: '100%'
		}"
	>
		<div
			:style="{
				position: 'absolute',
				height: '100%',
				width: '100%',
				top: 0,
				left: 0,
				
				
				overflowY: 'scroll',
				
				display: 'flex',
			}"
		>
			<div
				:style="{
					position: 'relative',
					
					width: '20%',
				border: '2px solid white',
					borderRadius: '8px',
					
					boxSizing: 'border-box',
					padding: '20px',
					
					display: 'flex',
					flexDirection: 'column'
				}"
			>
				<div>
					<h1>subconscious</h1>
					
					<div :style="{ height: '20px' }" />
					
					<div :style="{ padding: '0' }">
						<h2>approvals</h2>
						<div 
							:style="{
								display: 'flex',
								justifyContent: 'center',
								alignItems: 'center'
							}"
						>
							<span :style="{ padding: '8px' }">off</span>
							<VaSwitch v-model="on" />
							<span :style="{ padding: '8px' }">on</span>
						</div>
					</div>
				</div>
			</div>
			<scrolly
				:style="{
					position: 'relative',
					boxSizing: 'border-box',
					
					padding: '20px',
					width: '100%'
				}"
			>
				<div id="reader" width="600px"></div>
			</scrolly>
		</div>
	</div>
</template>


<style>

</style>
